.PHONY: check-and-reinit-submodules all
all: .check-and-reinit-submodules
	@${MAKE} -C CBQN/ 

run: arc.bqn
	./CBQN/BQN arc.bqn

.check-and-reinit-submodules:
	@if git submodule status | egrep -q '^[-]|^[+]' ; then \
		echo "INFO: reinitializing git submodules"; \
		git submodule update --init; \
	fi
